default_version="19.0.1"
echo "Please enter version number (default ${default_version}):"
read version

if [ -z "$version" ]; then
  version="${default_version}"
fi
vnum="${version%%b*}"

installer_path=~/Downloads/Blackmagic_Fusion_Studio_${version}_Linux/Blackmagic_Fusion_Studio_Linux_${vnum}_installer.run

read -p "Make sure the installer is located at '${installer_path}'. Press Enter to continue, or n to cancel..." answer

case $answer in
[Nn]*)
  echo "Installation cancelled"
  exit 0
  ;;
*)
  echo "Running installer..."
  ;;
esac

sudo SKIP_PACKAGE_CHECK=1 ${installer_path}

sudo dnf install libxcrypt-compat libcurl libcurl-devel mesa-libGLU -y

# cd /opt/resolve/libs
# sudo mkdir disabled-libraries
# sudo mv libglib* disabled-libraries
# sudo mv libgio* disabled-libraries
# sudo mv libgmodule* disabled-libraries
